function onBegin()
  disableRetry()
  disableMovement()
  if getFlag("golden") then
    makeUnskippable()
    say("AMBERSCHNAKE_ASTERACEAEBARRENS_3_VIVIDAE_GOLD")
  else
    say("AMBERSCHNAKE_ASTERACEAEBARRENS_3_VIVIDAE_END")
  end
end

function onEnd()
  enableRetry()
  enableMovement()
  completeArea(false, false)
end